Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.identifier
Class ColumnDefIdentifierRule

    java.lang.Object
      org.apache.openjpa.lib.identifier.IdentifierRule
          org.apache.openjpa.jdbc.identifier.DBIdentifierRule
              org.apache.openjpa.jdbc.identifier.ColumnDefIdentifierRule

    public class ColumnDefIdentifierRule

extends DBIdentifierRule

Default rule for column definition. This rule disables delimiting of column definitions. Column definitions can be extremely tricky to delimit correctly. Blindly delimiting them causes failures on most databases. Where user defined types are concerned, generally they don't need to be delimited and if so, they are more appropriately delimited when they are specified.

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.identifier.DBIdentifierRule
`DEFAULT_SQL_92, SPECIAL_CHARS`

Fields inherited from class org.apache.openjpa.lib.identifier.IdentifierRule
`DEFAULT_RULE, EMPTY_SET, UNDERSCORE`

Constructor Summary
`ColumnDefIdentifierRule()`

Method Summary

Methods inherited from class org.apache.openjpa.lib.identifier.IdentifierRule
`getAllowCompaction, getCanDelimit, getDelimitReservedWords, getMaxLength, getMustDelimit, getName, getReservedWords, getSpecialCharacters, isAllowTruncation, isMustBeginWithLetter, isNullable, isOnlyLettersDigitsUnderscores, isReservedWord, requiresDelimiters, setAllowCompaction, setAllowTruncation, setCanDelimit, setDelimitReservedWords, setMaxLength, setMustBeginWithLetter, setMustDelimit, setName, setNullable, setOnlyLettersDigitsUnderscores, setReservedWords, setSpecialCharacters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnDefIdentifierRule

    public ColumnDefIdentifierRule()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.